
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Liferay集成CAS实现单点登录与应用系统集成 / iVAN</title>

    <meta name="description" content="Liferay集成CAS实现单点登录与应用系统集成 Liferay 门户介绍 Liferay 是一个基于 J2EE 架构的完整的门户解决方案,使用了 EJB.JMS 等技术,前台界面 使用了 Struts MVC 框架.模板技术等一些开源的主流技术,基于 XML 的 portlet 配置文件可以自由地动态扩展,使用了 Web Services 来支持一些远程信息的获取,使用 Lucene 实现全文检索功能. 主要特点: 采用最先进的技术 Java, EJB, JMS, SOAP, XML. 提供多种单点登陆接口,如 CAS,LDAP, OpenI">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Liferay集成CAS实现单点登录与应用系统集成</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>Liferay 门户介绍</p>
<p>Liferay 是一个基于 J2EE 架构的完整的门户解决方案，使用了 EJB、JMS 等技术，前台界面 使用了 Struts MVC 框架、模板技术等一些开源的主流技术，基于 XML 的 portlet 配置文件可以自由地动态扩展，使用了 Web Services 来支持一些远程信息的获取，使用 Lucene 实现全文检索功能。</p>
<p>主要特点：</p>
<p>采用最先进的技术 Java, EJB, JMS, SOAP, XML。</p>
<p>提供多种单点登陆接口，如 CAS，LDAP, OpenID,OpenSSO 等。</p>
<p>管理员能通过用户界面轻松管理用户，组，角色，并为不同的用户分配不同的权限范围和相应的功能。</p>
<p>用户可以根据需要定制个性化的页面布局和颜色风格。</p>
<p>可以在主流的 J2EE 应用服务器上运行，如 Tomcat,Weblogic,WebSphere 等商业或开源免费的服务器。</p>
<p>支持多种主流的数据库，如 Oracle,DB2, MySQL 等。</p>
<p>使用了第三方的开源项目，如 Velocity ,Hibernate, Lucene, Struts 等。</p>
<p>支持包括中文在内的多种语言。</p>
<p>目前最新的版本为 Liferay 6.1（2012 年 2 月更新）。</p>
<p>CAS 系统介绍</p>
<p>CAS 是一个独立的 web 应用 , 当前使用 Java Servlets 实现，通过 HTTPS 协议保证其数据的传 输安全性。它通过三个 Url 地址进行访问：登录 Url、验证 URL、注销 URL。</p>
<p>图 1. CAS 原理和协议</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMFpSNjEyMjgtMC5qcGc=.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-04 22:26:17</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%94%af%e6%8c%81/" title="支持">支持</a>, <a href="https://www.iamivan.net/tag/%e4%b8%bb%e6%b5%81/" title="主流">主流</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9/" title="单点">单点</a>, <a href="https://www.iamivan.net/tag/cas%e4%ba%8c%e6%ac%a1%e5%bc%80%e5%8f%91-cas%e9%85%8d%e7%bd%ae/" title="cas二次开发 cas配置">cas二次开发 cas配置</a>, <a href="https://www.iamivan.net/tag/cas/" title="cas">cas</a>, <a href="https://www.iamivan.net/tag/java-web%e7%95%8c%e9%9d%a2%e7%99%bb%e5%bd%95%e7%95%8c%e9%9d%a2/" title="java web界面登录界面">java web界面登录界面</a>, <a href="https://www.iamivan.net/tag/cas%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="cas单点登录">cas单点登录</a>, <a href="https://www.iamivan.net/tag/cas-%e5%8d%95%e7%82%b9-webservice/" title="cas 单点  webservice">cas 单点  webservice</a>, <a href="https://www.iamivan.net/tag/net-cas-%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95/" title="net cas 单点登录">net cas 单点登录</a>, <a href="https://www.iamivan.net/tag/%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95%e6%a1%86%e6%9e%b6/" title="单点登录框架">单点登录框架</a>, <a href="https://www.iamivan.net/tag/android%e5%8d%95%e7%82%b9%e7%99%bb%e5%bd%95-cas/" title="android单点登录 cas">android单点登录 cas</a>, <a href="https://www.iamivan.net/tag/liferay/" title="liferay">liferay</a>, <a href="https://www.iamivan.net/tag/java-cas/" title="java cas">java cas</a>, <a href="https://www.iamivan.net/tag/liferay-oracle/" title="liferay oracle">liferay oracle</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Liferay集成CAS实现单点登录与应用系统集成的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4Y7KPb.html" rel="bookmark">Hyperion与domino的ldap集成，实现单点登录需要怎么样配制基本DN一项？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 请各位大虾指教:Hyperion与domino的ldap集成,实现单点登录需要怎么样配制基本DN一项?使用一般的Ldap浏览器,基本DN配制成o=ygkm就可以获取到相应的用户信息了,但是在Hyperion的配制页面中基本DN配制成o=ygkm就会提示&quot;100:3515:无法连接,基本DN的值无效&quot;,如果按照Hyperion的提示配制成DN=......,出现同样的提示. 解决方案 解决方案二:各位大虾有没有知道这个该怎么配制的啊?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPWZ8M.html" rel="bookmark">CAS解决单点登录SSO</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于CAS很多的原理和基础的配置启动,网上是很多的,我更多是结合我的实践和心得.需要了解CAS的原理,认证协议,认证流程,可以参考以下文章. 让CAS支持客户端自定义登陆页面--客户端篇 CAS原理与配置-基于CAS的单点登陆的研究(上) 服务端配置 CAS单点登陆部署 CAS配置手册 CAS单点登录配置 背景 单点登录(SSO)是企业开发的重要问题,在我的毕设项目中,由于要和系统其他开发模块共用用户认证模块,方便共享用户资源,所以需要一个好的SSO解决方案. 一般SSO的实现机制有两种:基于s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3jxmkz.html" rel="bookmark">SpringSecurity3整合CAS实现单点登录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				国内私募机构九鼎控股打造APP,来就送 20元现金领取地址:http://jdb.jiudingcapital.com/phone.html内部邀请码:C8E245J (不写邀请码,没有现金送)国内私募机构九鼎控股打造,九鼎投资是在全国股份转让系统挂牌的公众公司,股票代码为430719,为&quot;中国PE第一股&quot;,市值超1000亿元.  ------------------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boKKPvb.html" rel="bookmark">单点登录之CAS SSO从入门到精通（第二天）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				啊......沙滩,阳光,笔记本往膝上一搁,开始写博客.第一次没在国内过年,避开了吃吃吃,感觉真好,人也觉得轻松多了. 上次说到了CAS SSO最基本的使用方法,并且我们结合了一个数据库表来实现了我们自定义用户名和密码的单点登录功能.今天我们将要开始把我们的CAS SSO一步步往更深更专业的层次推进下去,我们先来看一下CAS SSO在结合WINDOWS AD域(此处我们使用open-ldap)来实现这个WINDOWS AD域的单点登录.即如何把我们的单点登录和巳有域帐号进行一下结合. 安装ope			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyPVqZb.html" rel="bookmark">单点登录系统CAS筹建及取得更多用户信息的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				国内私募机构九鼎控股打造APP,来就送 20元现金领取地址:http://jdb.jiudingcapital.com/phone.html内部邀请码:C8E245J (不写邀请码,没有现金送)国内私募机构九鼎控股打造,九鼎投资是在全国股份转让系统挂牌的公众公司,股票代码为430719,为&quot;中国PE第一股&quot;,市值超1000亿元.    ----------------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apX0Q5p.html" rel="bookmark">CAS单点登录&lpar;SSO&rpar;完整教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CAS单点登录(SSO)完整教程(2012-02-01更新) 一.教程说明 前言 教程目的:从头到尾细细道来单点登录服务器及客户端应用的每个步骤 单点登录(SSO):请看百科解释猛击这里打开 本教程使用的SSO服务器是Yelu大学研发的CAS(Central Authentication Server), 官网:http://www.jasig.org/cas 本教程环境: Tomcat6.0.29 JDK6 CAS Server版本:cas-server-3.4.3.1.cas-server-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2P1yop.html" rel="bookmark">java-关于CAS单点登录的用户认证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于CAS单点登录的用户认证 现有多个系统web1,web2,web3... 用户张三,在web1里用户名密码是user1/123,在web2里用户名密码是zhangsan/456,在web3里用户名密码是abc/789-- 这些多个系统的用户名密码存放在不同数据库中,但是每个数据库里都有&quot;工号&quot;这个字段,且为必填项. 现在将这多个系统用CAS做单点登录,这多个数据库如何通过&quot;工号&quot;这个字段统一? 刚看到的一个思路: 单对多模式:一个用户使用不同凭证登录不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLmE8vz.html" rel="bookmark">spring-Springsecurity cas单点登录，循环重定向问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Springsecurity cas单点登录,循环重定向问题 最近在弄springsecurity+cas实现单点登录,但配置完成测试,去发现在cas server端登录成功之后,竟出现了循环重定向问题,我springsecurity配置如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot; ?&gt; &lt;beans xmlns=&quot;http://www.springframework.org/schema/b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV07YmM.html" rel="bookmark">搭建Jasig CAS中央认证服务实现单点登录&mdash;&mdash;搭建Tomcat并实现SSL安全连接</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://dgd2010.blog.51cto.com/1539422/1167444 预期的工作任务: 实现CAS(CAS采用Jasig CAS)单点登录搭建,开发api以实现java.php..net等单点登录接口:实现数据库.LDAP身份认证对接. (一)平台(Linux和Windows都能实现): 1.Windows Server 2008 R2(Windows 2000以上即可)			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXjw5b.html" rel="bookmark" class="title">使用Wordpress插件时出现中文乱码的解决方法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 用wordpress建网站的好处就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjdndp.html" rel="bookmark" class="title">Windows IIS日志文件分析程序</a>
					<div>
						Windows Server具有事件日志记录的功能,其IIS日志文件里记录了包括下列信息:谁访问了您的站点,访问者查看了哪些内容等等.通过定期检查这些日志文件,网站管理员可以检测到服务器或站点的哪些方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qba0wPz.html" rel="bookmark" class="title">想要做好SEO应该具备什么？</a>
					<div>
						上次,微型为大家投稿了&quot;浅析什么是黑猫SEO和白猫SEO&quot;,今天微型和大家聊聊,做好SEO应该具备什么条件?需要什么样品质?微型再这里告诉大家,每个人的心态其实非常重要,你在这边打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlOGLb.html" rel="bookmark" class="title">关于Java中文问题的几条分析原则</a>
					<div>
						问题|中文   引言 尽管对于Java中文处理问题的讨论已不乏其数,但由于Java技术涉及内容广(J2EE包含了十几种相关技术),技术供应商繁多,面向Java的Web服务器.应用服务器以及JDBC数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b26EZb.html" rel="bookmark" class="title">Discuz&excl;戴志康：互联网创业变得更加速成</a>
					<div>
						互联网|速成 主持人: 这两天和站长有什么交流?他们有没有问你什么问题? 戴志康: 各种各样的问题都有. 主持人: 你觉得其中问的最多的问题是什么? 戴志康: 问的最多是到底怎么样寻找商业模式,因为站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/jbErdAM.html" rel="bookmark" class="title">改进性能和样式的24个ASP 技巧</a>
					<div>
						技巧|性能 1.ASP技巧集锦(官方权威版)-7 [2005-02-23]     2.ASP技巧集锦(官方权威版)-6 [2005-02-23]     3.ASP技巧集锦(官方权威版)-5 [20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2BLqb.html" rel="bookmark" class="title">Flash 8 中文版视频教程&lpar;新功能体验&rpar;</a>
					<div>
						教程|视频教程|中文 这是金鹰教程网制作的 Flash 8 中文版视频教程,一共20集,带领您一起轻松体验和学习 Flash 8 的新功能新特性! 视频教程专栏为您提供大量Photoshop, Fla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze427Ap.html" rel="bookmark" class="title">C&num;的实数类型</a>
					<div>
						浮点类型 数学中的实数不仅包括整数,而且包括小数.小数在C#中采用两种数据类型来表示:单精度(float)和双精度(double).它们的差别在于取值范围和精度不同.计算机对浮点数的运算速度大大低于对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6L7Dz.html" rel="bookmark" class="title">通过shell、python脚本管理 kvm 虚拟机</a>
					<div>
						一个想法: 1 python2.7 2 python的web框架 bottle 3 shell脚本管理kvm 组合在一起就可以了~ 这段时间我会用bottle 简单的实现管理kvm 主机,开源出去的~ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjDgep.html" rel="bookmark" class="title">python数组复制拷贝的实现方法</a>
					<div>
						  本文实例讲述了python数组复制拷贝的实现方法.分享给大家供大家参考.具体分析如下: python中直接通过等号赋值实际上只是引用地址的传递 如: ? 1 2 a = [1,2,3,4,5] b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NwK3z.html" rel="bookmark" class="title">用Photoshop制作文字和形状的外轮廓教程</a>
					<div>
						  用Photoshop制作文字和形状的外轮廓,教程很不错,推荐到脚本之家,喜欢的朋友一起来学习吧! 工具/原料 Photoshop 方法/步骤 打开Photoshop,新建文件.如图数值自定 选定文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bad6nnz.html" rel="bookmark" class="title">PS给花卉作品增加亮点</a>
					<div>
						  一.前期 最近的几辑片子都没有使用微距头拍摄,主要是练习对全局花片的感觉,因此都使用了70-200mm的镜头. 二.中期 图片来源于poco 作为花片,前后景的虚化与主体如何相结合是拍摄时最需要考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRw7Axp.html" rel="bookmark" class="title">Word2013文档中嵌入字体的方法</a>
					<div>
						  第1步,打开Word2013文档窗口,依次单击&quot;文件&quot;→&quot;另存为&quot;按钮,并选择Word文档保存位置. 第2步,在打开的&quot;另存为&quot;对话框中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVwJDVb.html" rel="bookmark" class="title">如何恢复win7系统打开网页出现乱码的情况</a>
					<div>
						  win7系统电脑大家很多时候都会用来打开网页,上网对于现代人来说都是必不可少的,那么有用户说自己打开网页出现乱码不知道怎么解决,因为现在大家都知道随着系统更新的进程,win7系统已经成为了现在的主 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaegkz.html" rel="bookmark" class="title">CHECK&lowbar;NRPE&colon; Error - Could not complete SSL handshake&period;</a>
					<div>
						在linux服务器上面监控的客户机,返回如下信息: load check CRITICAL 03-21-2013 10:25:06 0d 2h 23m 23s 4/4 CHECK_NRPE: Erro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7O89M.html" rel="bookmark" class="title">JAVA 监听器与适配器 小小的分析</a>
					<div>
						监听器和适配器是Java图形用户界面(GUI,Graphics User interface)设计的抽象窗口工具集(AWT,Abstract Window Toolkit)的两个重要概念,他们都在ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYOrvb.html" rel="bookmark" class="title">unity上脚本的构造函数会被执行两次，下面是执行结果，这是什么原理？</a>
					<div>
						问题描述 unity上脚本的构造函数会被执行两次,下面是执行结果,这是什么原理? 解决方案 unity中构造函数可能会被多次调用官方建议使用start()/awake()初始化.官方文档:https: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWmmOp.html" rel="bookmark" class="title">cpu-linux下MCP2515驱动开发及测试</a>
					<div>
						问题描述 linux下MCP2515驱动开发及测试 CPU采用ATMEL的9g25,通过MCP2515扩展CAN总线,linux下MCP2515驱动加载成功,采用Socketcan测试,发不了数据也读 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRWrVz.html" rel="bookmark" class="title">android-Android 平台下实现可搜索加密</a>
					<div>
						问题描述 Android 平台下实现可搜索加密 各位大神 我想问一下,我现在有个作业,思路不是很清晰,还希望大神们给点指导. 作业要求是 开发一个 基于安卓的可搜索加密原型 差不多能做到对 短信,通讯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWLajp.html" rel="bookmark" class="title">查询数据</a>
					<div>
						问题描述 我现在做客户关系管理系统,在其中删除客户必须判断是否有外键,在行绑定事件时如果有外键就将删除控件设为不可编辑,这里就必须根据客户id查询数据库中的所有表,但数据库中可能与可户有关的表有几十的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1rNx9p.html" rel="bookmark" class="title">后续 &vert; 为何正义的黑客不能帮你找回被扒的iPhone</a>
					<div>
						   自从carry_your 上次技术反制逼小偷还回 iPhone 后,很多雷锋网和宅客频道的读者反馈,希望有人帮他们拿回被偷的手机. 但是,这件事情很难,为什么难?我们先看一个悲伤的故事. 悲剧! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rq63z.html" rel="bookmark" class="title">http-为什么要使用setConnectionTimeout和SetReadTimeout？</a>
					<div>
						问题描述 为什么要使用setConnectionTimeout和SetReadTimeout? 为什么要给URLConnection对象使用setConnectionTimeout和SetReadTi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlAaep.html" rel="bookmark" class="title">c&plus;&plus;-怎么统计string字符串中出现频率最高的三个字符，包括汉字大小写字母</a>
					<div>
						问题描述 怎么统计string字符串中出现频率最高的三个字符,包括汉字大小写字母 int main stiring str; cin&gt;&gt;str; cout&lt;&lt;&quot;出现频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRq33b.html" rel="bookmark" class="title">imageview-listview item显示隐藏</a>
					<div>
						问题描述 listview item显示隐藏 listview 点击一个item后,隐藏的imageview显示!当我点击其他的item的时候,当前imageview显示,上一个item的imagev ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK73Ob.html" rel="bookmark" class="title">凯雷和CVC等私募基金或有意收购英之杰航运</a>
					<div>
						据国外媒体报道,据熟悉情况的人士透露,凯雷集团(Carlyle).Cinven.CVC以及泛大西洋投资集团(General Atlantic LLC)等企业正准备向英之杰航运(Inchcape Shi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEKvQM.html" rel="bookmark" class="title">5个Linux平台程序员最爱的开发工具汇总&lowbar;其它综合</a>
					<div>
						Linux程序员经常抱怨,自从他们使用了免费开源的系统平台后,作为一名程序员,却并没有在代码编辑器上得到足够的重视.他们往往会认为Linux平台上的代码编辑器太少了,以至于影响他们的编程工作.但是事实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWjRrM.html" rel="bookmark" class="title">openlayers在firefox中的问题</a>
					<div>
						问题描述 我把openlayers中的案例copy出来修改后执行了一下,在ie中没有任何问题,各种好使.换到firefox中就出现openlayers.Styleisnotaconstructor.o ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWL4nM.html" rel="bookmark" class="title">《Hadoop与大数据挖掘》一2&period;1&period;2　Hadoop存储&mdash;HDFS</a>
					<div>
						2.1.2 Hadoop存储-HDFS Hadoop的存储系统是HDFS(Hadoop Distributed File System)分布式文件系统,对外部客户端而言,HDFS就像一个传统的分级文件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE4Z5z.html" rel="bookmark" class="title">IDC信誉评价网被黑客攻击3天3夜</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 草莓是一个网络菜鸟,刚上网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvv0JM.html" rel="bookmark" class="title">z-blog SyntaxHighlighter 长代码无法换行解决办法&lpar;基于jquery&rpar;&lowbar;jquery</a>
					<div>
						用SyntaxHighlighter 语法高亮插件的朋友可能都遇到过代码显示不换行的问题,这个问题在网上也找不到什么解决办法,一直困扰了我很久,今天算是把它解决了,办法其实简单,下面说下... 解决方 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
